SeExpr

Public Member Functions | List of all members
ExprTreeFilterModel Class Reference
Inheritance diagram for ExprTreeFilterModel:

## Public Member Functions
| ExprTreeFilterModel (QWidget *parent=0)
void | update ()
bool | filterAcceptsRow (int sourceRow, const QModelIndex &sourceParent) const

## Detailed Description

Definition at line 216 of file ExprBrowser.cpp.

## Constructor & Destructor Documentation

## ◆ ExprTreeFilterModel()

ExprTreeFilterModel::ExprTreeFilterModel | ( | QWidget * | parent = `0` | ) |
| inline

Definition at line 218 of file ExprBrowser.cpp.

## Member Function Documentation

## ◆ filterAcceptsRow()

bool ExprTreeFilterModel::filterAcceptsRow | ( | int | sourceRow,
|  | const QModelIndex & | sourceParent
| ) |  | const
| inline

Definition at line 226 of file ExprBrowser.cpp.

References index().

## ◆ update()

void ExprTreeFilterModel::update | ( |  | ) |
| inline

Definition at line 220 of file ExprBrowser.cpp.

Referenced by ExprBrowser::update().

The documentation for this class was generated from the following file:

- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprBrowser.cpp